Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.meta
Class Extensions

    java.lang.Object
      |
      +--com.solarmetric.kodo.meta.Extensions

Direct Known Subclasses:
  ClassMetaData, FieldMetaData

public abstract class Extensions
extends Object

Base type for metadata classes that can be extended with vendor-specific information.

Since:
  2.3

Constructor Summary
`Extensions()`

Method Summary
`void` | `addExtension(String key, Object value)` Add a vendor extension to this entity.
`void` | `addExtension(String vendor, String key, Object value)` Add a vendor extension to this entity.
`boolean` | `getBooleanExtension(String key)` Get the value as a boolean.
`boolean` | `getBooleanExtension(String vendor, String key)` Get the value as a boolean.
`double` | `getDoubleExtension(String key)` Get the value as a double.
`double` | `getDoubleExtension(String vendor, String key)` Get the value as a double.
`int` | `getIntExtension(String key)` Get the value as an int.
`int` | `getIntExtension(String vendor, String key)` Get the value as an int.
`Object` | `getObjectExtension(String key)` Get the value of an extension.
`Object` | `getObjectExtension(String vendor, String key)` Get the value of an extension.
`String` | `getStringExtension(String key)` Get the value as a String.
`String` | `getStringExtension(String vendor, String key)` Get the value as a String.
`boolean` | `hasExtension(String key)` Return true if the extension with the given key exists.
`boolean` | `hasExtension(String vendor, String key)` Return true if the extension with the given key exists.
`Object` | `removeExtension(String key)` Remove a vendor extension to this entity.
`Object` | `removeExtension(String vendor, String key)` Remove a vendor extension to this entity.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Extensions

    public Extensions()

Method Detail

### hasExtension

    public boolean hasExtension(String key)

  Return true if the extension with the given key exists.

### hasExtension

    public boolean hasExtension(String vendor,
                                String key)

  Return true if the extension with the given key exists.

### addExtension

    public void addExtension(String key,
                             Object value)

  Add a vendor extension to this entity.

### addExtension

    public void addExtension(String vendor,
                             String key,
                             Object value)

  Add a vendor extension to this entity.

### removeExtension

    public Object removeExtension(String key)

  Remove a vendor extension to this entity.

### removeExtension

    public Object removeExtension(String vendor,
                                  String key)

  Remove a vendor extension to this entity.

### getObjectExtension

    public Object getObjectExtension(String key)

  Get the value of an extension.

### getObjectExtension

    public Object getObjectExtension(String vendor,
                                     String key)

  Get the value of an extension.

### getStringExtension

    public String getStringExtension(String key)

  Get the value as a String.

### getStringExtension

    public String getStringExtension(String vendor,
                                     String key)

  Get the value as a String.

### getIntExtension

    public int getIntExtension(String key)

  Get the value as an int.
  Throws:
    `JDOException` - on parse error

### getIntExtension

    public int getIntExtension(String vendor,
                               String key)

  Get the value as an int.
  Throws:
    `JDOException` - on parse error

### getDoubleExtension

    public double getDoubleExtension(String key)

  Get the value as a double.
  Throws:
    `JDOException` - on parse error

### getDoubleExtension

    public double getDoubleExtension(String vendor,
                                     String key)

  Get the value as a double.
  Throws:
    `JDOException` - on parse error

### getBooleanExtension

    public boolean getBooleanExtension(String key)

  Get the value as a boolean.
  Throws:
    `JDOException` - on parse error

### getBooleanExtension

    public boolean getBooleanExtension(String vendor,
                                       String key)

  Get the value as a boolean.
  Throws:
    `JDOException` - on parse error

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.